//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
    
    
    public partial class Jog
    {
		
		//When the Jog screen is opened, set to Velocity Mode.	
		//Create this code by expanding the screen name (Jog) in the tree,
		//and double clicking on "Opened".
		void Jog_Opened(System.Object sender, System.EventArgs e)
		{
			Globals.Tags.DRV_OPMODE.Value = 1;//Velocity Mode
		}
		
		//When the right arrow is pressed, send Velocity command.	
		//Create this code by expanding the object name (Picture1) in the tree,
		//and double clicking on "MouseDown".
		void Picture1_MouseDown(System.Object sender, System.Windows.Forms.MouseEventArgs e)
		{
			Globals.Tags.VL_CMDU.Value = Globals.Tags.Jog_Speed.Value;
			//Take the entered jog speed and send to velocity command (VL.CMDU)
		}
		
		//When the left arrow is pressed, send Velocity command.	
		//Create this code by expanding the object name (Picture2) in the tree,
		//and double clicking on "MouseDown".
		void Picture2_MouseDown(System.Object sender, System.Windows.Forms.MouseEventArgs e)
		{
			Globals.Tags.VL_CMDU.Value = Globals.Tags.Jog_Speed.Value * -1;
			//Take the negative of the entered jog speed,
			//and send to velocity command (VL.CMDU)
		}
		
		//When the Jog screen is closed, set to Position Mode.	
		//Create this code by expanding the screen name (Jog) in the tree,
		//and double clicking on "Closing".
		void Jog_Closing(System.Object sender, System.ComponentModel.CancelEventArgs e)
		{
			Globals.Tags.DRV_OPMODE.Value = 2; //set to Position Mode
		}
		
		
		
    }
}
