//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
    
    
	public partial class Tags
	{
		//Control the alarm indicator when an AKD fault is present.
		//Create this code by expanding the tag name (MODBUS_FAULT1) in the tree,
		//and double clicking on "ValueChange".
		void MODBUS_FAULT1_ValueChange(System.Object sender, Neo.ApplicationFramework.Interfaces.Events.ValueChangedEventArgs e)
		{
		if(Globals.Tags.MODBUS_FAULT1.Value != 0)//non-zero when a fault is present
			{
				Globals.Tags.Alarm.Value = 1;//turn alarm indicator on
			}
		if(Globals.Tags.MODBUS_FAULT1.Value == 0)//no faults present
			{
				Globals.Tags.Alarm.Value = 0;//turn alarm indicator off
			}	
		}
		
    }
}
